%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-constantinople
Version:    2.0.0
Release:    3%{?dist}
Summary:    Determine whether a JavaScript expression evaluates to a constant
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/ForbesLindesay/constantinople
Source0:    http://registry.npmjs.org/constantinople/-/constantinople-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  uglify-js
%endif

%description
%{summary}.


%prep
%setup -q -n package
find . -type f -exec chmod -x '{}' \;
for i in LICENSE README.md; do
    sed -i -e 's/\r$//' "${i}"
done

%nodejs_fixdep uglify-js '~2.2'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/constantinople
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/constantinople

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
if [ ! -d node_modules/uglify-js ]; then
    ln -sf /usr/lib/node_modules/uglify-js node_modules/uglify-js
fi
/usr/bin/mocha -R spec
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/constantinople


%changelog
* Mon Mar 03 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.0.0-3
- fix symlinks when running tests

* Mon Mar 03 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.0.0-2
- fix symlinks when running tests

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.0.0-1
- initial package
